diff --git a/books/bookvol10.2.pamphlet b/books/bookvol10.2.pamphlet
index b6df3ee..c2a5b78 100644
--- a/books/bookvol10.2.pamphlet
+++ b/books/bookvol10.2.pamphlet
@@ -46776,7 +46776,8 @@ FunctionSpace(R:OrderedSet): Category == Definition where
 
       numerator x         == numer(x)::%
 
-      eval(x:%, s:SY, n:N, f:% -> %)     == eval(x,[s],[n],[f first #1])
+      eval(x:%, s:SY, n:N, f:% -> %) == 
+        eval(x,[s],[n],[(y:List %):% +-> f(first(y))])
 
       eval(x:%, s:SY, n:N, f:List % -> %) == eval(x, [s], [n], [f])
 
@@ -46791,7 +46792,7 @@ FunctionSpace(R:OrderedSet): Category == Definition where
         elt(op, args)$ExpressionSpace_&(%)
 
       eval(x:%, s:List SY, n:List N, l:List(% -> %)) ==
-        eval(x, s, n, [f first #1 for f in l]$List(List % -> %))
+        eval(x, s, n, [y+-> f(first(y)) for f in l]$List(List % -> %))
 
       -- op(arg)**m ==> func(arg)**(m quo n) * op(arg)**(m rem n)
       smprep(lop, lexp, lfunc, p) ==
@@ -46799,7 +46800,7 @@ FunctionSpace(R:OrderedSet): Category == Definition where
         symbolIfCan(k := v::K) case SY => p::%
         g := (op := operator k)
            (arg := [eval(a,lop,lexp,lfunc) for a in argument k]$List(%))
-        q := map(eval(#1::%, lop, lexp, lfunc),
+        q := map(y+->eval(y::%, lop, lexp, lfunc),
                  univariate(p, k))$SparseUnivariatePolynomialFunctions2(MP, %)
         (n := position(name op, lop)) < minIndex lop => q g
         a:%  := 0
@@ -46900,8 +46901,8 @@ FunctionSpace(R:OrderedSet): Category == Definition where
 --        one? n =>
         (n = 1) =>
           g := symsub(gendiff, n)::%
-          [kernel(opdiff,[kernel(op, g), g, first #1])]
-        [kernel(opdiff, diffArg(#1, op, i)) for i in 1..n]
+          [x +-> kernel(opdiff,[kernel(op, g), g, first x])]
+        [y +-> kernel(opdiff, diffArg(y, op, i)) for i in 1..n]
 
       kderiv k ==
         zero?(n := #(args := argument k)) => empty()
@@ -46924,11 +46925,11 @@ FunctionSpace(R:OrderedSet): Category == Definition where
         +/[g * differentiate(y,x) for g in kderiv k for y in argument k]
 
       smpderiv(p, x) ==
-        map(retract differentiate(#1::PR, x), p)::% +
+        map((s:R):R +-> retract differentiate(s::PR, x), p)::% +
          +/[differentiate(p,k)::% * kerderiv(k, x) for k in variables p]
 
       coerce(p:PR):% ==
-        map(#1::%, #1::%, p)$PolynomialCategoryLifting(
+        map(s +-> s::%, r +-> r::%, p)$PolynomialCategoryLifting(
                                       IndexedExponents SY, SY, R, PR, %)
 
       worse?(k1, k2) ==
@@ -46947,18 +46948,20 @@ FunctionSpace(R:OrderedSet): Category == Definition where
         a :=
           userOrdered?() => bestKernel variables p
           mainVariable(p)::K
-        outputForm(map(#1::%, univariate(p,
-         a))$SparseUnivariatePolynomialFunctions2(MP, %), a::OutputForm)
+        outputForm(map((x:MP):% +-> x::%, univariate(p, a))_
+            $SparseUnivariatePolynomialFunctions2(MP, %), a::OutputForm)
 
       smpsubst(p, lk, lv) ==
-        map(match(lk, lv, #1,
-            notfound(subs(subst(#1, lk, lv), #1), lk, #1))$ListToMap(K,%),
-             #1::%,p)$PolynomialCategoryLifting(IndexedExponents K,K,R,MP,%)
+        map(x +-> match(lk, lv, x,
+            notfound((z:K):%+->subs(s+->subst(s, lk, lv), z), lk, x))_
+             $ListToMap(K,%),y+->y::%,p)_
+              $PolynomialCategoryLifting(IndexedExponents K,K,R,MP,%)
 
       smpeval(p, lk, lv) ==
-        map(match(lk, lv, #1,
-            notfound(map(eval(#1, lk, lv), #1), lk, #1))$ListToMap(K,%),
-             #1::%,p)$PolynomialCategoryLifting(IndexedExponents K,K,R,MP,%)
+        map(x +-> match(lk, lv, x,
+            notfound((z:K):%+->map(s+->eval(s,lk,lv),z),lk,x))_
+             $ListToMap(K,%),y+->y::%,p)_
+              $PolynomialCategoryLifting(IndexedExponents K,K,R,MP,%)
 
 -- this is called on k when k is not a member of lk
       notfound(fn, lk, k) ==
@@ -46981,14 +46984,14 @@ FunctionSpace(R:OrderedSet): Category == Definition where
 
         smpunq(p, l, givenlist?) ==
           givenlist? and empty? l => p::%
-          map(kunq(#1, l, givenlist?), #1::%,
-            p)$PolynomialCategoryLifting(IndexedExponents K,K,R,MP,%)
+          map(x +-> kunq(x, l, givenlist?), y+->y::%, p)_
+            $PolynomialCategoryLifting(IndexedExponents K,K,R,MP,%)
 
       smpret p ==
         "or"/[symbolIfCan(k) case "failed" for k in variables p] =>
           "failed"
-        map(symbolIfCan(#1)::SY::PR, #1::PR,
-          p)$PolynomialCategoryLifting(IndexedExponents K, K, R, MP, PR)
+        map(x+->symbolIfCan(x)::SY::PR, y+->y::PR,p)_
+          $PolynomialCategoryLifting(IndexedExponents K, K, R, MP, PR)
 
       isExpt(x:%, op:OP) ==
         (u := isExpt x) case "failed" => "failed"
@@ -47184,8 +47187,8 @@ FunctionSpace(R:OrderedSet): Category == Definition where
         n::PR / d::PR
 
       coerce(p:Polynomial Q):% ==
-        map(#1::%, #1::%,
-           p)$PolynomialCategoryLifting(IndexedExponents SY, SY,
+        map(x+->x::%, y+->y::%,p)_
+         $PolynomialCategoryLifting(IndexedExponents SY, SY,
                                                      Q, Polynomial Q, %)
 
       if R has RetractableTo Z then
diff --git a/changelog b/changelog
index 68c0ba2..02e8664 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090511 tpd src/axiom-website/patches.html 20090511.01.tpd.patch
+20090511 tpd books/bookvol10.2 FS +-> conversion
 20090510 tpd src/axiom-website/patches.html 20090510.27.tpd.patch
 20090510 tpd books/bookvol10.4 BOUNDZRO +-> conversion
 20090510 tpd src/axiom-website/patches.html 20090510.26.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index f73df37..f885cb0 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1214,5 +1214,7 @@ bookvol10.2 DPOLCAT +-> conversion<br/>
 bookvol10.3 D01TRNS +-> conversion<br/>
 <a href="patches/20090510.27.tpd.patch">20090510.27.tpd.patch</a>
 bookvol10.4 BOUNDZRO +-> conversion<br/>
+<a href="patches/20090511.01.tpd.patch">20090511.01.tpd.patch</a>
+bookvol10.2 FS +-> conversion<br/>
  </body>
 </html>
